Bug 883562 - Support http proxy for retrieving root image
Summary: Support http proxy for retrieving root image
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 19
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Will Woods
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-04 21:33 UTC by Brad Hinson
Modified: 2015-02-17 14:35 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 14:35:57 UTC
Type: Bug


Attachments (Terms of Use)

Description Brad Hinson 2012-12-04 21:33:21 UTC
Description of problem:
Currently root= points to install.img on fedoraproject.org:

root=live:http://dl.fedoraproject.org/pub/fedora-secondary/releases/17/Fedora/s390x/os/images/install.img

However, in order to reach this site, a proxy is required.  Please add support in dracut for http proxy via kernel commandline.

Version-Release number of selected component (if applicable):
dracut-018-35.git20120510.fc17

How reproducible:
100%

Comment 1 Tom Huegel 2012-12-04 22:08:05 UTC
This looks like a documentation error not a programming error.
I added the "http_proxy=" parameter and it worked (at least as far as the boot goes).
The doc has the parameter as "proxy=" which doesn't work.            

 
            
http_proxy=http://myuser:mypw@companyproxy:proxyport                             
root=live:http://dl.fedoraproject.org/pub/fedora-secondary/releases/17/Fedora/s3 
90x/os/images/install.img

Comment 2 Chris Lumens 2012-12-05 15:14:22 UTC
What documentation did you use?

Comment 3 Chris Lumens 2012-12-05 20:08:07 UTC
https://fedoraproject.org/wiki/Anaconda_Boot_Options?rd=Anaconda/Options

I know wwoods has new docs available given the inst.* stuff he did in dracut, but I do not know where he's keeping them or what their state is.  So I guess I'll reassign.

Comment 4 Brad Hinson 2012-12-06 14:43:16 UTC
fyi, opened on behalf of tehuegel@gmail.com.  I wasn't aware of the http_proxy option, proxy listed as future update on http://wwoods.fedorapeople.org/doc/boot-options.html#_proxy

Comment 5 Dan Horák 2012-12-06 14:48:53 UTC
I think setting the http_proxy variable works because dracut doesn't process it and it's propagated to environment where curl used for downloading the images understands it. So either the docs need update for http_proxy= or dracut should understand proxy=

Comment 6 Fedora End Of Life 2013-04-03 18:02:12 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 7 Fedora End Of Life 2015-01-09 17:30:27 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Fedora End Of Life 2015-02-17 14:35:57 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.